Debian Bug report logs - #658204
RFS: bibtool [ITA] -- tool for BibTeX database manipulation

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: Jerome Benoit <calculus@rezozer.net>

Date: Wed, 1 Feb 2012 00:21:02 UTC

Severity: normal

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658204; Package sponsorship-requests. (Wed, 01 Feb 2012 00:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerome Benoit <calculus@rezozer.net>:
New Bug report received and forwarded. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 01 Feb 2012 00:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jerome Benoit <calculus@rezozer.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFS: bibtool -- tool for BibTeX database manipulation
Date: Wed, 01 Feb 2012 00:43:03 +0100
Package: sponsorship-requests
Severity: normal

Dear mentors,

I am looking for a sponsor for my package "bibtool".

 * Package name    : bibtool
   Version         : 2.53-1
	 Upstream Author : Gerd Neugebauer <gene@gerd-neugebauer.de>
 * URL             : http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
 * License         : GPL-1+
	 Section         : tex

It builds those binary packages:

bibtool    - tool for BibTeX database manipulation

To access further information about this package, please visit the following URL:

  http://mentors.debian.net/package/bibtool

Alternatively, one can download the package with dget using this command:

  dget -x http://mentors.debian.net/debian/pool/main/b/bibtool/bibtool_2.53-1.dsc

I would be glad if someone uploaded this package for me.

Kind regards,
Jerome BENOIT 




Changed Bug title to 'RFS: bibtool [ITA] -- tool for BibTeX database manipulation' from 'RFS: bibtool -- tool for BibTeX database manipulation' Request was from Jerome BENOIT <g6299304p@rezozer.net> to control@bugs.debian.org. (Wed, 08 Feb 2012 15:36:05 GMT) Full text and rfc822 format available.

Owner recorded as calculus@rezozer.net. Request was from Jerome BENOIT <g6299304p@rezozer.net> to control@bugs.debian.org. (Wed, 08 Feb 2012 15:36:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by calculus@rezozer.net. Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Fri, 10 Feb 2012 19:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658204; Package sponsorship-requests. (Wed, 15 Feb 2012 11:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Knecht <benoit.knecht@fsfe.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 15 Feb 2012 11:09:19 GMT) Full text and rfc822 format available.

Message #16 received at 658204@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: Jerome Benoit <calculus@rezozer.net>, 658204@bugs.debian.org
Subject: Re: Bug#658204: RFS: bibtool -- tool for BibTeX database manipulation
Date: Wed, 15 Feb 2012 12:05:17 +0100
Hi Jerome,

Jerome Benoit wrote:
> I am looking for a sponsor for my package "bibtool".
> 
>  * Package name    : bibtool
>    Version         : 2.53-1
>    Upstream Author : Gerd Neugebauer <gene@gerd-neugebauer.de>
>  * URL             : http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
>  * License         : GPL-1+
>    Section         : tex
> 
> It builds those binary packages:
> 
> bibtool    - tool for BibTeX database manipulation

I took a look at your package, here are a few comments:

  - debian/preinst has a comment saying it should be removed post-etch;
    now seems like it'd be a good time.

  - lintian gives a few warnings:

      P: bibtool source: source-contains-cvs-control-dir regex-0.12/doc/CVS
      P: bibtool source: source-contains-cvs-control-dir regex-0.12/CVS
      P: bibtool source: unversioned-copyright-format-uri http://dep.debian.net/deps/dep5

    You may want to get in touch with upstream about that. Also, ideally
    regex shouldn't be embedded in the source.

  - I'm not sure why you're closing bugs #291134 and #187255 in the
    changelog; they're not fixed by this upload in particular, they're
    just not considered bugs. I think you should close these bugs
    manually and remove those two entries from the changelog.

    The second entry ("Features have been either"...) doesn't seem very
    useful; either give a brief summary of the changed features, or
    remove the entry entirely. The first entry ("New upstream version")
    essentially suggests that there are new or extended features, and
    users should know to check the upstream changelog already.
    (Actually, looking into it, there isn't even an entry for 2.53 in
    Changes.xml.)

  - In debian/copyright, you list yourself as the sole copyright holder
    for the files under debian/*, but you didn't do the packaging from
    scratch. What about the copyright of the previous maintainers?

  - In the bibtool(1) man page, the FILES section states "none" and the
    DIAGNOSTICS section "many"; I think both sections should simply be
    removed.
    
    In the SEE ALSO section, the BibTool Manual is referred to as
    bibtool.tex, but this file isn't installed on Debian; instead, it
    should refer to bibtool.pdf.gz installed in /usr/share/doc/bibtool.

    Also, in the .TH header in bibtool.1, something more useful than
    "local" (like a date for instance) should be used.

  - Have you forwarded your patches for inclusion upstream?

I hope this helps.

Cheers,

-- 
Benoît Knecht




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658204; Package sponsorship-requests. (Wed, 15 Feb 2012 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to calculus@rezozer.net:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 15 Feb 2012 15:33:06 GMT) Full text and rfc822 format available.

Message #21 received at 658204@bugs.debian.org (full text, mbox):

From: Jerome BENOIT <g6299304p@rezozer.net>
Cc: 658204@bugs.debian.org
Subject: Re: Bug#658204: RFS: bibtool -- tool for BibTeX database manipulation
Date: Wed, 15 Feb 2012 15:28:59 +0100
Hello Benoit:

Thanks for the look.

On 15/02/12 12:05, Benoît Knecht wrote:
> Hi Jerome,
>
> Jerome Benoit wrote:
>> I am looking for a sponsor for my package "bibtool".
>>
>>   * Package name    : bibtool
>>     Version         : 2.53-1
>>     Upstream Author : Gerd Neugebauer<gene@gerd-neugebauer.de>
>>   * URL             : http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
>>   * License         : GPL-1+
>>     Section         : tex
>>
>> It builds those binary packages:
>>
>> bibtool    - tool for BibTeX database manipulation
>
> I took a look at your package, here are a few comments:
>
>    - debian/preinst has a comment saying it should be removed post-etch;
>      now seems like it'd be a good time.
>
>    - lintian gives a few warnings:
>
>        P: bibtool source: source-contains-cvs-control-dir regex-0.12/doc/CVS
>        P: bibtool source: source-contains-cvs-control-dir regex-0.12/CVS
>        P: bibtool source: unversioned-copyright-format-uri http://dep.debian.net/deps/dep5

I tried to fix the warnings emitted by lintian, but the lintian on my boxdoes not report the one above:
how can I reproduce this report.

>
>      You may want to get in touch with upstream about that.

I got in touch with the upstream maintainer a few week ago to report thisissue and to submit patches:
the upstream maintainer kindly cleaned up the source of the coming version and he integrated all the patches
except a cosmetic one. Since then, I have kept in touch with him to fix issues in the coming version.

 Also, ideally
>      regex shouldn't be embedded in the source.

I asked to the upstream maintainer to get ride of it: as he want to keep it:
may I follow his wish for the coming package of the coming version ? or not ?

>
>    - I'm not sure why you're closing bugs #291134 and #187255 in the
>      changelog; they're not fixed by this upload in particular, they're
>      just not considered bugs. I think you should close these bugs
>      manually and remove those two entries from the changelog.

I am agree: I just closed them the wrong way. I am working on it:
the two entries were removed; I am now the owner of the bugs;
I am on my way to close bugs #291134 and #187255.


>
>      The second entry ("Features have been either"...) doesn't seem very
>      useful; either give a brief summary of the changed features, or
>      remove the entry entirely. The first entry ("New upstream version")
>      essentially suggests that there are new or extended features, and
>      users should know to check the upstream changelog already.
>      (Actually, looking into it, there isn't even an entry for 2.53 in
>      Changes.xml.)

The entry was removed entirely.
In the coming version, the changes are a reported in the LaTeX file `Changes.tex'
which is up-to-date. In the coming package of the coming version, `Changes.xml'
is replaced by `Changes.tex'. The `Changes.tex' LaTeX source is converted into HTLM
format, then into a TXT format readable by human; it is also composed in PDF format
as the upstream author play withfonts to comment changes.
 
>
>    - In debian/copyright, you list yourself as the sole copyright holder
>      for the files under debian/*, but you didn't do the packaging from
>      scratch. What about the copyright of the previous maintainers?

But I put a comment that mention them in the Comment entry: apparently isnot enough.
I have just added Copyright entries for the two previous maintainers.

>
>    - In the bibtool(1) man page, the FILES section states "none" and the
>      DIAGNOSTICS section "many"; I think both sections should simply be
>      removed.
>
>      In the SEE ALSO section, the BibTool Manual is referred to as
>      bibtool.tex, but this file isn't installed on Debian; instead, it
>      should refer to bibtool.pdf.gz installed in /usr/share/doc/bibtool.
>
>      Also, in the .TH header in bibtool.1, something more useful than
>      "local" (like a date for instance) should be used.

I am working on it.

>
>    - Have you forwarded your patches for inclusion upstream?

I forwarded my patches and the previous patches to the upstream maintainer:
he kindly integrated all of them except a cosmetic one --- see the second
answer above.


>
> I hope this helps.
>
> Cheers,

Thanks,
Jerome

>







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658204; Package sponsorship-requests. (Wed, 15 Feb 2012 17:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido van Steen <vansteen@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 15 Feb 2012 17:15:08 GMT) Full text and rfc822 format available.

Message #26 received at 658204@bugs.debian.org (full text, mbox):

From: Guido van Steen <vansteen@users.sourceforge.net>
To: calculus@rezozer.net, 658204@bugs.debian.org
Cc: Debian Mentors <debian-mentors@lists.debian.org>
Subject: Re: Bug#658204: RFS: bibtool -- tool for BibTeX database manipulation
Date: Wed, 15 Feb 2012 18:13:36 +0100
> I tried to fix the warnings emitted by lintian, but the lintian on my
> boxdoes not report the one above:
> how can I reproduce this report.

Use the Lintian version in backports (or in Sid). Do not use the
version in Stable. It is not updated.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658204; Package sponsorship-requests. (Wed, 15 Feb 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Knecht <benoit.knecht@fsfe.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Wed, 15 Feb 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #31 received at 658204@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: calculus@rezozer.net
Cc: Guido van Steen <vansteen@users.sourceforge.net>, 658204@bugs.debian.org
Subject: Re: Bug#658204: RFS: bibtool -- tool for BibTeX database manipulation
Date: Wed, 15 Feb 2012 19:34:39 +0100
Guido van Steen wrote:
> > I tried to fix the warnings emitted by lintian, but the lintian on my
> > boxdoes not report the one above:
> > how can I reproduce this report.
> 
> Use the Lintian version in backports (or in Sid). Do not use the
> version in Stable. It is not updated.

Yes, and run it with '-IE --pedantic' to get all the warnings.

-- 
Benoît Knecht




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658204; Package sponsorship-requests. (Thu, 16 Feb 2012 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to calculus@rezozer.net:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 16 Feb 2012 03:03:03 GMT) Full text and rfc822 format available.

Message #36 received at 658204@bugs.debian.org (full text, mbox):

From: Jerome BENOIT <jgmb65@rezozer.net>
To: 658204@bugs.debian.org
Cc: 658204@bugs.debian.org
Subject: Re: Bug#658204: RFS: bibtool -- tool for BibTeX database manipulation
Date: Thu, 16 Feb 2012 03:00:42 +0100

On 15/02/12 19:34, Benoît Knecht wrote:
> Guido van Steen wrote:
>>> I tried to fix the warnings emitted by lintian, but the lintian on my
>>> boxdoes not report the one above:
>>> how can I reproduce this report.
>>
>> Use the Lintian version in backports (or in Sid). Do not use the
>> version in Stable. It is not updated.
>
> Yes, and run it with '-IE --pedantic' to get all the warnings.

I did not played with enough option:
this issue is solved.

>

-- 
Jerome BENOIT
jgmbenoit-at+rezozer*dot_net





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658204; Package sponsorship-requests. (Sun, 19 Feb 2012 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to calculus@rezozer.net:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 19 Feb 2012 04:39:03 GMT) Full text and rfc822 format available.

Message #41 received at 658204@bugs.debian.org (full text, mbox):

From: Jerome BENOIT <g6299304p@rezozer.net>
Cc: 658204@bugs.debian.org
Subject: Re: Bug#658204: RFS: bibtool -- tool for BibTeX database manipulation
Date: Sun, 19 Feb 2012 05:37:13 +0100
Hello:

I have just upload a revisited version of my package that addresses
the below points when applicable.

Please find below quick answers to the points.

On 15/02/12 12:05, Benoît Knecht wrote:
> Hi Jerome,
>
> Jerome Benoit wrote:
>> I am looking for a sponsor for my package "bibtool".
>>
>>   * Package name    : bibtool
>>     Version         : 2.53-1
>>     Upstream Author : Gerd Neugebauer<gene@gerd-neugebauer.de>
>>   * URL             : http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
>>   * License         : GPL-1+
>>     Section         : tex
>>
>> It builds those binary packages:
>>
>> bibtool    - tool for BibTeX database manipulation
>
> I took a look at your package, here are a few comments:
>
>    - debian/preinst has a comment saying it should be removed post-etch;
>      now seems like it'd be a good time.

It was wiped out.


>
>    - lintian gives a few warnings:
>
>        P: bibtool source: source-contains-cvs-control-dir regex-0.12/doc/CVS
>        P: bibtool source: source-contains-cvs-control-dir regex-0.12/CVS
>        P: bibtool source: unversioned-copyright-format-uri http://dep.debian.net/deps/dep5
>

Using the relevant lintian options I could observed those warnings, and I fixed them
(thanks to the upstream maintainer).

>      You may want to get in touch with upstream about that. Also, ideally
>      regex shouldn't be embedded in the source.

I am considering to build a Debian Source to get ride of more useless material
from a Debian perspective.

>
>    - I'm not sure why you're closing bugs #291134 and #187255 in the
>      changelog; they're not fixed by this upload in particular, they're
>      just not considered bugs. I think you should close these bugs
>      manually and remove those two entries from the changelog.

Those bugs were closed are non bugs.

>
>      The second entry ("Features have been either"...) doesn't seem very
>      useful; either give a brief summary of the changed features, or
>      remove the entry entirely. The first entry ("New upstream version")
>      essentially suggests that there are new or extended features, and
>      users should know to check the upstream changelog already.

I am agree: I clean up this part.

>      (Actually, looking into it, there isn't even an entry for 2.53 in
>      Changes.xml.)
>
>    - In debian/copyright, you list yourself as the sole copyright holder
>      for the files under debian/*, but you didn't do the packaging from
>      scratch. What about the copyright of the previous maintainers?

fixed !

>
>    - In the bibtool(1) man page, the FILES section states "none" and the
>      DIAGNOSTICS section "many"; I think both sections should simply be
>      removed.
>
>      In the SEE ALSO section, the BibTool Manual is referred to as
>      bibtool.tex, but this file isn't installed on Debian; instead, it
>      should refer to bibtool.pdf.gz installed in /usr/share/doc/bibtool.
>
>      Also, in the .TH header in bibtool.1, something more useful than
>      "local" (like a date for instance) should be used.

I took the opportunity to update the bibtool.1 man page and to submit it to
the upstream maintainer who kindly integrated it modulo minor changes.

>
>    - Have you forwarded your patches for inclusion upstream?

I got in touch with the upstream maintainer a few week ago to report issues and to submit patches:
the upstream maintainer kindly cleaned up the source of the coming version and he integrated all the patches
except a cosmetic one. Since then, I have kept in touch with him to fix more issues in the coming version.

>
> I hope this helps.

It helped.

>
> Cheers,
>

Thanks,
Jerome






Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Mon, 20 Feb 2012 05:15:04 GMT) Full text and rfc822 format available.

Notification sent to Jerome Benoit <calculus@rezozer.net>:
Bug acknowledged by developer. (Mon, 20 Feb 2012 05:15:04 GMT) Full text and rfc822 format available.

Message #46 received at 658204-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 658204-done@bugs.debian.org
Subject: Re: RFS: bibtool -- tool for BibTeX database manipulation
Date: Sun, 19 Feb 2012 23:10:33 -0600
Jerome Benoit wrote:

> I am looking for a sponsor for my package "bibtool".

Appears to have been uploaded.  Thanks for making Debian better!




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Mar 2012 07:29:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:46:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.